
declare @id_permiso as int
declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)

if not exists (
select * from gui_funcionalidad  where active=1 and  id_tipofuncionalidad=2 and  nombrecontrol='pop_buscarXEquipo'
and id_funcionalidad in(
select id from gui_funcionalidad where url='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad =3
)
) 
begin
insert into [gui_funcionalidad]            ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select 
			@licencia 
           ,[eid]
           ,1
           ,1
           ,GETDATE()
           ,GETDATE()
           ,1
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,(select top 1 id from gui_funcionalidad where url='/forms/doc/doc_documento_alquiler.aspx' and id_tipoFuncionalidad =3)
           ,2

 from gui_funcionalidad where id_funcionalidad in(
select id from gui_funcionalidad where url='/forms/equ/equ_alquiler.aspx')
and  id_tipofuncionalidad =2 and nombrecontrol='pop_buscarXEquipo'


end



if not exists (
select * from gui_funcionalidad where active=1 and id_funcionalidad in(
select id from gui_funcionalidad where nombreControl ='configuracion' and nombreComando ='configuracion' and id_tipoFuncionalidad =3) and nombreComando ='eliminar'
)
begin

insert into [gui_funcionalidad]            ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
select 
			@licencia 
           ,[eid]
           ,1
           ,1
           ,GETDATE()
           ,GETDATE()
           ,1
           ,'Eliminar'
           ,''
           ,''
           ,''
           ,''
           ,''
           ,''
           ,0
           ,'eliminar'
           ,'eliminar'
           ,[orden]
           ,id
           ,5
from gui_funcionalidad where nombreControl ='configuracion' and nombreControl ='configuracion' and id_tipoFuncionalidad =3


end





declare @tablagui table( id int, funcionalidad varchar(100),id_tipo  int, id_gui  int, active  bit );
with gui_fun(id ,funcionalidad ,id_tipo,id_gui,active)
AS
(
select id , funcionalidad ,id_tipofuncionalidad as id_tipo,id_funcionalidad as id_gui,active
from [gui_funcionalidad]where [gui_funcionalidad].id in (select id from gui_funcionalidad where active=1 and ( nombrecontrol='doc_documento_alquiler' or  url ='/forms/equ/equ_equipo.aspx?e=a' ) and  id_tipofuncionalidad=3)--2456 --  96
union all 
select  [gui_funcionalidad].id , [gui_funcionalidad].funcionalidad ,[gui_funcionalidad].id_tipofuncionalidad as id_tipo,[gui_funcionalidad].id_funcionalidad as id_gui,[gui_funcionalidad].active
 from  [gui_funcionalidad]
 inner join gui_fun on [gui_funcionalidad].id_funcionalidad=gui_fun.id
 where  gui_fun.id>0 
 )
insert into @tablagui( id , funcionalidad ,id_tipo  , id_gui  , active   )
select id , funcionalidad ,id_tipo  , id_gui  , active from gui_fun;
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)
if not exists(select * from seg_perfil_funcionalidad where active=1 and  id_perfil=2 and id_funcionalidad in(select id from @tablagui))
begin 
INSERT INTO [dbo].[seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])
    
   select @licencia
           ,'01'
           ,1
           ,1
           ,getdate()
           ,getdate()
           ,1
           ,''
           ,2
           ,id   from @tablagui 
end ;

